Get Stack Overflow post citation
Get a BibTeX, AMS and text citation for a Stack Overflow question or answer.
Headers
Get your API keyAPI key (`sfk_...`)
Post id (a question or an answer) on the chosen site, e.g. `11227902`.
≥ 1 · ≤ 2147483647
Stack Exchange site, by its API name (`askubuntu`, `serverfault`, `math`, `ru.stackoverflow`). Default: `stackoverflow`. The sites endpoint lists them all.
Endpoint-specific response payload.
`not_found` when the post does not exist or was deleted.
one of: found, not_found
The Stack Exchange site the post belongs to.
The post that is cited.
The citation as a BibTeX entry.
The citation as an AMS reference.
An example of how to cite the post in text, as HTML.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/stack-overflow/posts/11227902/citation" \
-H "x-api-key: YOUR_API_KEY"Responses
Post citation.